<template>
  <div id="comingsoon">
    <div class="comingsoon">
      <div class="notfound-404">
        <h2>Coming Soon</h2>
      </div>
      <h2>we're making new awesome features</h2>
      <div class="d-flex justify-content-center">
        <button class="btn btn-dark rounded-pill px-5 fw-bold" @click="$router.push('/').catch(() => {})">Back</button>
      </div>
    </div>
  </div>
</template>

<script>
export default {};
</script>

<style scoped>
#comingsoon {
  position: relative;
  height: 100vh;
}

#comingsoon .comingsoon {
  position: absolute;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

.comingsoon {
  max-width: 520px;
  width: 100%;
  line-height: 1.4;
  text-align: center;
}

.comingsoon .notfound-404 {
  position: relative;
  height: 60px;
}

.comingsoon .notfound-404 h1 {
  font-family: "Montserrat", sans-serif;
  position: absolute;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  font-size: 252px;
  font-weight: 900;
  margin: 0px;
  color: #262626;
  text-transform: uppercase;
  letter-spacing: -40px;
  margin-left: -20px;
}

.comingsoon .notfound-404 h1 > span {
  text-shadow: -8px 0px 0px #fff;
}

.comingsoon .notfound-404 h2 {
  font-family: "Cabin", sans-serif;
  position: relative;
  font-size: 18px;
  font-weight: 700;
  text-transform: uppercase;
  color: #262626;
  margin: 0px;
  letter-spacing: 3px;
  padding-left: 6px;
}

.comingsoon h2 {
  font-family: "Cabin", sans-serif;
  font-size: 20px;
  font-weight: 400;
  text-transform: uppercase;
  color: #000;
  margin-top: 0px;
  margin-bottom: 25px;
}

@media only screen and (max-width: 767px) {
  .comingsoon .notfound-404 {
    height: 200px;
  }
  .comingsoon .notfound-404 h1 {
    font-size: 200px;
  }
}

@media only screen and (max-width: 480px) {
  .comingsoon .notfound-404 {
    height: 162px;
  }
  .comingsoon .notfound-404 h1 {
    font-size: 162px;
    height: 150px;
    line-height: 162px;
  }
  .comingsoon h2 {
    font-size: 16px;
  }
}
</style>
